/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.crop.nl;

import nl.cloudfarming.client.crop.Race;
import nl.cloudfarming.client.crop.ScientificRace;
import org.openide.util.NbBundle;

/**
 *
 * @author Timon Veenstra
 */
public enum NlRace implements Race {

    FRIESLANDER("race.NL.frieslander",ScientificRace.SOLANUM_TUBEROSUM);


    private final ScientificRace scientificRace;
    private final String name;

    private NlRace(String name,ScientificRace scientificRace) {
        this.scientificRace = scientificRace;
        this.name = name;
    }


    @Override
    public ScientificRace getScientificRace() {
        return this.scientificRace;
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(this.getClass(), name);
    }

}
